#include <string>
#include <iostream>
#include <limits>

#include "Node.h"

class BinarySearchTree {
    public:
        ~BinarySearchTree();
        void list();
        int insert(std::string key);
        Node * search(std::string key);
    private:
        Node * root = NULL;
};
